package contract

//套餐详情（自定义表格类数据）
type AddContractServiceDetailReq struct {
	CanEdit    bool   `json:"CanEdit" description:"是否可编辑"`
	Type       string `json:"Type" description:"类型"`
	Value      string `json:"Value" description:"类型"`
	ValueId    []int  `json:"ValueId" description:"类型"`
	HeadName   string `json:"HeadName" description:"表头名称"`
	Tag        string `json:"Tag" description:"表头名称"`
	RowDisable bool   `json:"RowDisable" description:"该行是否禁用操作"`
	RowName    string `json:"RowName" description:"该行关联名称"`
}

//上传签回合同请求
type UploadCheckBackFileReq struct {
	FileUrl    string `description:"签回合同url"`
	ContractId int    `description:"合同id"`
}

//作废合同请求
type InvalidReq struct {
	ContractId int `description:"合同id"`
}
