package message

import (
	"hongze/hongze_mobile_admin/models/tables/company_approval_message"
)

//消息汇总页数据
type SummaryMessageListResp struct {
	CompanyMessage  SummaryMessage `description:"客户审批数据"`
	ContractMessage SummaryMessage `description:"合同审批数据"`
	SealMessage     SummaryMessage `description:"用印审批数据"`
}

type SummaryMessage struct {
	Message    string `description:"消息"`
	Total      int    `description:"未读数据数"`
	SourceType int    `description:"消息来源类型，1:客户，2：合同，3：用印"`
}

type CompanyApprovalMessageListResp struct {
	List  []*company_approval_message.CompanyApprovalMessageList
	Total int `description:"总数据条数"`
}
